## GtkHandleBox GtkHandleBox |

## Functions

GtkWidget * | gtk_handle_box_new ()
void | gtk_handle_box_set_shadow_type ()
void | gtk_handle_box_set_handle_position ()
void | gtk_handle_box_set_snap_edge ()
GtkPositionType | gtk_handle_box_get_handle_position ()
GtkShadowType | gtk_handle_box_get_shadow_type ()
GtkPositionType | gtk_handle_box_get_snap_edge ()
gboolean | gtk_handle_box_get_child_detached ()

## Properties

gboolean | child-detached | Read
GtkPositionType | handle-position | Read / Write
GtkShadowType | shadow | Read / Write
GtkShadowType | shadow-type | Read / Write
GtkPositionType | snap-edge | Read / Write
gboolean | snap-edge-set | Read / Write

## Signals

void | child-attached | Run First
void | child-detached | Run First

## Types and Values

struct | GtkHandleBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkHandleBox

## Implemented Interfaces

GtkHandleBox implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_handle_box_new ()

    GtkWidget *
    gtk_handle_box_new (void);

### gtk_handle_box_set_shadow_type ()

    void
    gtk_handle_box_set_shadow_type (GtkHandleBox *handle_box,
                                    GtkShadowType type);

### gtk_handle_box_set_handle_position ()

    void
    gtk_handle_box_set_handle_position (GtkHandleBox *handle_box,
                                        GtkPositionType position);

### gtk_handle_box_set_snap_edge ()

    void
    gtk_handle_box_set_snap_edge (GtkHandleBox *handle_box,
                                  GtkPositionType edge);

### gtk_handle_box_get_handle_position ()

    GtkPositionType
    gtk_handle_box_get_handle_position (GtkHandleBox *handle_box);

Gets the handle position of the handle box. See `gtk_handle_box_set_handle_position()`.

#### Parameters

handle_box | a GtkHandleBox |

#### Returns

the current handle position.

### gtk_handle_box_get_shadow_type ()

    GtkShadowType
    gtk_handle_box_get_shadow_type (GtkHandleBox *handle_box);

Gets the type of shadow drawn around the handle box. See `gtk_handle_box_set_shadow_type()`.

#### Parameters

handle_box | a GtkHandleBox |

#### Returns

the type of shadow currently drawn around the handle box.

### gtk_handle_box_get_snap_edge ()

    GtkPositionType
    gtk_handle_box_get_snap_edge (GtkHandleBox *handle_box);

Gets the edge used for determining reattachment of the handle box. See `gtk_handle_box_set_snap_edge()`.

#### Parameters

handle_box | a GtkHandleBox |

#### Returns

the edge used for determining reattachment, or (GtkPositionType)-1 if this is determined (as per default) from the handle position.

### gtk_handle_box_get_child_detached ()

    gboolean
    gtk_handle_box_get_child_detached (GtkHandleBox *handle_box);

Whether the handlebox's child is currently detached.

#### Parameters

handle_box | a GtkHandleBox |

#### Returns

`TRUE` if the child is currently detached, otherwise `FALSE`

Since: 2.14

## Types and Values

### struct GtkHandleBox

    struct GtkHandleBox;

## Property Details

### The `“child-detached”` property

      “child-detached”           gboolean

A boolean value indicating whether the handlebox's child is attached or detached.

Owner: GtkHandleBox

Flags: Read

Default value: FALSE

### The `“handle-position”` property

      “handle-position”          GtkPositionType

Position of the handle relative to the child widget.

Owner: GtkHandleBox

Flags: Read / Write

Default value: GTK_POS_LEFT

### The `“shadow”` property

      “shadow”                   GtkShadowType

Deprecated property, use shadow_type instead.

Owner: GtkHandleBox

Flags: Read / Write

Default value: GTK_SHADOW_OUT

### The `“shadow-type”` property

      “shadow-type”              GtkShadowType

Appearance of the shadow that surrounds the container.

Owner: GtkHandleBox

Flags: Read / Write

Default value: GTK_SHADOW_OUT

### The `“snap-edge”` property

      “snap-edge”                GtkPositionType

Side of the handlebox that's lined up with the docking point to dock the handlebox.

Owner: GtkHandleBox

Flags: Read / Write

Default value: GTK_POS_TOP

### The `“snap-edge-set”` property

      “snap-edge-set”            gboolean

Whether to use the value from the snap_edge property or a value derived from handle_position.

Owner: GtkHandleBox

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“child-attached”` signal

    void
    user_function (GtkHandleBox *handlebox,
                   GtkWidget    *widget,
                   gpointer      user_data)

Flags: Run First

### The `“child-detached”` signal

    void
    user_function (GtkHandleBox *handlebox,
                   GtkWidget    *widget,
                   gpointer      user_data)

Flags: Run First